org.apache.xmlgraphics.xmp.merge

## Class ReplacePropertyMerger

- java.lang.Object
- - org.apache.xmlgraphics.xmp.merge.ReplacePropertyMerger

- All Implemented Interfaces:
    PropertyMerger

      public class ReplacePropertyMerger
      extends java.lang.Object
      implements PropertyMerger

  The most basic PropertyMerger which simply overwrites any existing value in the target metadata.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplacePropertyMerger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `merge(XMPProperty sourceProp, Metadata target)` Merges a property into a given metadata object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplacePropertyMerger

          public ReplacePropertyMerger()

  - ### Method Detail

    - #### merge

          public void merge(XMPProperty sourceProp,
                            Metadata target)

      Description copied from interface: `PropertyMerger`
      Merges a property into a given metadata object
      Specified by:
        `merge` in interface `PropertyMerger`
      Parameters:
        `sourceProp` - the source property
        `target` - the target metadata object
      See Also:
        `PropertyMerger.merge( org.apache.xmlgraphics.xmp.XMPProperty, org.apache.xmlgraphics.xmp.Metadata)`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.